    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2007, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ---------------
    028     * PaintScale.java
    029     * ---------------
    030     * (C) Copyright 2006, 2007, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: PaintScale.java,v 1.1.2.2 2007/01/31 14:31:24 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 05-Jul-2006 : Version 1 (DG);
    040     * 31-Jan-2007 : Added getLowerBound() and getUpperBound() methods (DG);
    041     *
    042     */
    043
    044    package org.jfree.chart.renderer;
    045
    046    import java.awt.Paint;
    047
    048    import org.jfree.chart.renderer.xy.XYBlockRenderer;
    049
    050    /**
    051     * A source for <code>Paint</code> instances, used by the
    052     * {@link XYBlockRenderer}.
    053     * <br><br>
    054     * NOTE: Classes that implement this interface should also implement
    055     * <code>PublicCloneable</code> and <code>Serializable</code>, so
    056     * that any renderer (or other object instance) that references an instance of
    057     * this interface can still be cloned or serialized.
    058     *
    059     * @since 1.0.4
    060     */
    061    public interface PaintScale {
    062
    063        /**
    064         * Returns the lower bound for the scale.
    065         *
    066         * @return The lower bound.
    067         *
    068         * @see #getUpperBound()
    069         */
    070        public double getLowerBound();
    071
    072        /**
    073         * Returns the upper bound for the scale.
    074         *
    075         * @return The upper bound.
    076         *
    077         * @see #getLowerBound()
    078         */
    079        public double getUpperBound();
    080
    081        /**
    082         * Returns a <code>Paint</code> instance for the specified value.
    083         *
    084         * @param value  the value.
    085         *
    086         * @return A <code>Paint</code> instance (never <code>null</code>).
    087         */
    088        public Paint getPaint(double value);
    089
    090    }